Subject: bug#51605: Fwd: [PATCH] Update themes to support mode-line

From: Juri Linkov <[email-masked]>
Date: Tue, 07 Dec 2021 10:18:10 +0200

> Here you are. +/- the same are in the same file, with a theme I created
> with ThemeCreator (https://mswift42.github.io/themecreator/)
> My main point for having line-number as fringe is the space between the
> line number and the buffer. It's not just the practical side of it (i.e.
> identifying a space too much or missing), it's also something more
> philosophical: i.e. the the difference between buffer and the rest.

Thanks for the images, now it's clearly seen that the problem is that
currently line numbers are displayed as part of the buffer text that
is confusing - you can't edit these numbers.  Whereas like fringes
are displayed with a darker background, it makes sense to display
line numbers with the same darker background to indicate these
numbers are not part of the buffer text.  So you patch fixes
the real problem.